--__________         __    __  .__           ___________
--\______   \_____ _/  |__/  |_|  |   ____   \_   _____/__________
-- |    |  _/\__  \\   __\   __\  | _/ __ \   |    __)/  _ \_  __ \
-- |    |   \ / __ \|  |  |  | |  |_\  ___/   |     \(  <_> )  | \/
-- |______  /(____  /__|  |__| |____/\___  >  \___  / \____/|__|
--        \/      \/                     \/       \/
--   _____                     .___.__
--  /     \ _____    ____    __| _/|__| ____  ___________
-- /  \ /  \\__  \  /    \  / __ | |  |/ ___\/  _ \_  __ \
--/    Y    \/ __ \|   |  \/ /_/ | |  \  \__(  <_> )  | \/
--\____|__  (____  /___|  /\____ | |__|\___  >____/|__|
--        \/     \/     \/      \/         \/

--      keystrokes.lua - Keystrokes
--
--      (c) Copyright 2005 by Kimmo Merikivi
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

---------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------

--=============================================================================
--	Reset keystroke help list to empty
--
--	(reset-keystroke-help)
--
ResetKeystrokeHelp()
--
--	Add a keystroke help.
--
--	AddKeystrokeHelp("key", "description")
--
AddKeystrokeHelp("Alt-F", "- toggle full screen")
AddKeystrokeHelp("Alt-G", "- toggle grab mouse")
AddKeystrokeHelp("Ctrl-S", "- mute sound")
AddKeystrokeHelp("Ctrl-M", "- mute music")
AddKeystrokeHelp("+", "- increase game speed")
AddKeystrokeHelp("-", "- decrease game speed")
AddKeystrokeHelp("Ctrl-P", "- pause game")
AddKeystrokeHelp("PAUSE", "- pause game")
AddKeystrokeHelp("PRINT", "- make screen shot")
AddKeystrokeHelp("Alt-H", "- help menu")
AddKeystrokeHelp("Alt-R", "- restart scenario")
AddKeystrokeHelp("Alt-Q", "- quit to main menu")
AddKeystrokeHelp("Alt-X", "- quit game")
AddKeystrokeHelp("Alt-B", "- toggle expand map")
AddKeystrokeHelp("Alt-M", "- game menu")
AddKeystrokeHelp("ENTER", "- write a message")
AddKeystrokeHelp("SPACE", "- goto last event")
AddKeystrokeHelp("TAB", "- hide/unhide terrain")
AddKeystrokeHelp("Ctrl-T", "- track unit")
AddKeystrokeHelp("Alt-I", "- find idle peon")
AddKeystrokeHelp("Alt-C", "- center on selected unit")
AddKeystrokeHelp("Alt-V", "- next view port")
AddKeystrokeHelp("Ctrl-V", "- previous view port")
AddKeystrokeHelp("^", "- select nothing")
AddKeystrokeHelp("#", "- select group")
AddKeystrokeHelp("##", "- center on group")
AddKeystrokeHelp("Ctrl-#", "- define group")
AddKeystrokeHelp("Shift-#", "- add to group")
AddKeystrokeHelp("Alt-#", "- add to alternate group")
AddKeystrokeHelp("F2-F4", "- recall map position")
AddKeystrokeHelp("Shift F2-F4", "- save map postition")
AddKeystrokeHelp("F5", "- game options")
AddKeystrokeHelp("F7", "- sound options")
AddKeystrokeHelp("F8", "- speed options")
AddKeystrokeHelp("F9", "- preferences")
AddKeystrokeHelp("F10", "- game menu")
AddKeystrokeHelp("F11", "- save game")
AddKeystrokeHelp("F12", "- load game")
